public class HFiles extends HSource
| Constructor and Description |
|---|
HFiles(java.lang.String name,
nxm.sys.lib.Midas M,
java.lang.String auxList)
Serves up all files in/under a given AUX or list of AUXs.
|
HFiles(java.lang.String name,
java.lang.String dirpath)
Creates a new instances that serves files in a given directory.
|
| Modifier and Type | Method and Description |
|---|---|
void |
auxesPage(HPage hp)
Writes out a generic AUX's page to an
HPage. |
void |
dummyPage(HPage hp)
Writes out a blank (dummy) page to an
HPage. |
void |
fdataPage(HPage hp,
java.lang.String args) |
void |
filesPage(HPage hp,
java.lang.String args)
Writes out a generic list of files accessible via an AUX to an
HPage. |
void |
framesPage(HPage hp)
Writes out a generic frames page to an
HPage. |
boolean |
handleHeadRequest() |
void |
handleRequest(java.lang.String uri,
HPage hp)
Invoked to write the data from this source into the specified HPage.
|
static boolean |
isDebug() |
static void |
setDebug(boolean val) |
canHandleRequest, getName, setServerpublic HFiles(java.lang.String name,
java.lang.String dirpath)
name - The name of the directory (as used via http).dirpath - The directory path (as exists on disk).public HFiles(java.lang.String name,
nxm.sys.lib.Midas M,
java.lang.String auxList)
name - Name of the serve (usually "Files").M - Midas context to use.auxList - AUX list to serve up. One or more AUX names separated by a "|"
or "*" to serve up everything in AUX.READ. (For backwards-compatibility,
passing null or "" is the same as "*".)public static void setDebug(boolean val)
public static boolean isDebug()
public boolean handleHeadRequest()
handleHeadRequest in class HSourcepublic void handleRequest(java.lang.String uri,
HPage hp)
HSourcehandleRequest in class HSourceuri - The Request string containing the request parameters.hp - The HPage to write the data into.public void framesPage(HPage hp)
HPage.hp - The connection to write out to.public void auxesPage(HPage hp)
HPage.hp - The connection to write out to.public void filesPage(HPage hp, java.lang.String args)
HPage.hp - The connection to write out to.args - The arguments (must include the AUX).public void fdataPage(HPage hp, java.lang.String args)